ランタイム: Mix::MultipleEvent Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Mix::MultipleEvent Class Reference

複数イベントクラス More...

`#include <MultipleEvent.h>`

Inheritance diagram for Mix::MultipleEvent:
[legend]
Collaboration diagram for Mix::MultipleEvent:
[legend]

## Public Member Functions

| MultipleEvent (Boolean bSignal=False, Boolean bManualReset=False, UInt32 count=1)
| コンストラクタ More...
| ~MultipleEvent (void)
| デストラクタ More...
void | Set (UInt32 index=0)
| シグナル状態にする More...
void | Reset (UInt32 index=0)
| 非シグナル状態にする More...
void | SetAll (void)
| すべてのイベントをシグナル状態にする More...
void | ResetAll (void)
| すべてのイベントを非シグナル状態にする More...
Boolean | Wait (UInt32 index=0, UInt32 timeOut=INFINITE)
| シグナル状態になるまで待機 More...
UInt32 | WaitAll (Boolean bAll=FALSE, UInt32 timeOut=INFINITE)
| 全てのイベントがシグナル状態になるまで待機する More...
HANDLE | GetHandle (UInt32 index) const
| ハンドルを取得します More...
Public Member Functions inherited from Mix::Noncopyable
| Noncopyable (void)
| コンストラクタ More...
virtual | ~Noncopyable (void)
| デストラクタ More...

## Detailed Description

複数イベントクラス

## Constructor & Destructor Documentation

Mix::MultipleEvent::MultipleEvent | ( | Boolean | bSignal = `False`,
|  | Boolean | bManualReset = `False`,
|  | UInt32 | count = `1`
| ) |  |

コンストラクタ

Parameters

  [in] | bSignal | シグナル状態でイベントを作成するには TRUE
  [in] | bManualReset | 手動でリセットする場合は True
  [in] | count | イベント数 ( MAXIMUM_WAIT_OBJECTS 以下 )

Mix::MultipleEvent::~MultipleEvent | ( | void |  | ) |

デストラクタ

## Member Function Documentation

void Mix::MultipleEvent::Set | ( | UInt32 | index = `0` | ) |

シグナル状態にする

Parameters

  [in] | index | イベントインデックス

void Mix::MultipleEvent::Reset | ( | UInt32 | index = `0` | ) |

非シグナル状態にする

Parameters

  [in] | index | イベントインデックス

void Mix::MultipleEvent::SetAll | ( | void |  | ) |

すべてのイベントをシグナル状態にする

void Mix::MultipleEvent::ResetAll | ( | void |  | ) |

すべてのイベントを非シグナル状態にする

Boolean Mix::MultipleEvent::Wait | ( | UInt32 | index = `0`,
|  | UInt32 | timeOut = `INFINITE`
| ) |  |

シグナル状態になるまで待機

Parameters

  [in] | index | イベントインデックス
  [in] | timeOut | タイムアウト時間( 1000ms 単位 ) INFINITE 無限に待つ

Return values

  TRUE | シグナル状態
  FALSE | 非シグナル状態

UInt32 Mix::MultipleEvent::WaitAll | ( | Boolean | bAll = `FALSE`,
|  | UInt32 | timeOut = `INFINITE`
| ) |  |

全てのイベントがシグナル状態になるまで待機する

Parameters

  [in] | bAll | すべてのイベントがシグナル状態になるまで待機する場合は TRUE
  [in] | timeOut | タイムアウト時間 INFINITE で無限に待機する

Returns
  シグナル状態になったイベントのインデックス

Return values

  0xFFFFFFFF | シグナル状態になったイベントは無かった

HANDLE Mix::MultipleEvent::GetHandle | ( | UInt32 | index | ) | const

ハンドルを取得します

Parameters

  [in] | index | 取得するハンドルのインデックス

Returns
  ハンドルを返します

The documentation for this class was generated from the following file:

- Mix/MultipleEvent.h